<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Route extends NA_Controller
{
    function __construct()
    {
        parent::__construct();

        // Make sure that user is authenticated no matter what page they are on
        if (!$this->ion_auth->logged_in())
        {
            redirect('login');
        }

        if (!$this->ion_auth->is_admin()) {
            redirect('');
        }

        $this->load->model('Pathnode');
        $this->page = 'route';
    }

    public function index()
    {
        $this->init_page(lang('header_tab_path'), $this->page);
        
        // Initialize page with source js

        // TODO: Load tabular "power user" view or canvas "other" view based on saved user preference - swolf 2023-09-20

        $nodes = $this->Pathnode->read_all();
        $this->data['nodes'] = $nodes;

        $id_to_index = array();
        foreach ($nodes as $i => $node) {
            $id_to_index[$node['id']] = $i;
        }
        $this->data['id_index_map'] = $id_to_index;

        $edges = array();
        foreach($nodes as $i => $node) {
            if ($node['source'] !== null) {
                $this->data['intermediates'] = $this->Pathnode->read_edges($node['id']);
                $edges[] = array(
                    'src' => $this->data['id_index_map'][$node['source']],
                    'dst' => $i,
                    'intermediates' => $this->Pathnode->read_edges($node['id']),
                );
            }
        }
        $this->data['edges'] = $edges;

        $this->data['tab'] = 'map';
        $this->data['tabs'] = $this->load->view('path/tabs', $this->data, true);
        $this->load->view('path/map', $this->data);
    }

}
