<?php
//
// This migration alters the option value size to be text, to allow for storing more
// data in the options database.
//
// This also adds abnormal_behavior as a metric type for active checks.
// 

class Migration_add_pathnodes extends CI_Migration {
    
    function up()
    {
        $sql = "
            CREATE TABLE `nagiosna_path_nodes` (
              `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
              `created` datetime NOT NULL,
              `modified` datetime DEFAULT NULL,
              `x` float NOT NULL,
              `y` float NOT NULL,
              `name` varchar(255) NOT NULL,
              `hostname` varchar(255) NOT NULL,
              `type` int(2) DEFAULT 0,
              `token` varchar(255) DEFAULT NULL,
              `port` int(11) DEFAULT NULL,
              `source` int(11) DEFAULT NULL,
              `reachability` int(2) NOT NULL DEFAULT 0,
              PRIMARY KEY (`id`)
            ) ENGINE=InnoDB DEFAULT CHARSET=utf8";
        $this->db->query($sql);

        $sql = "INSERT INTO `nagiosna_path_nodes` (`created`, `modified`, `x`, `y`, `name`, `hostname`, `type`)
                     VALUES (NOW(), NOW(), 650, 350, 'NNA', 'localhost', 2)";
        $this->db->query($sql);

        $sql = "
        CREATE TABLE IF NOT EXISTS `nagiosna_path_status` (
          `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
          `modified` datetime NOT NULL,
          `hostname` varchar(255) NOT NULL,
          `rtt` float NOT NULL,
          `hop_number` int(11) NOT NULL,
          `target_node` int(11) NOT NULL,
          `reachability` int(2) NOT NULL DEFAULT 1,
          PRIMARY KEY (`id`)
        ) ENGINE=InnoDB DEFAULT CHARSET=utf8";
        $this->db->query($sql);

        $sql = "ALTER TABLE nagiosna_Checks ADD COLUMN `pid` int(11) unsigned DEFAULT NULL AFTER `vid`";
        $this->db->query($sql);

        $sql = "ALTER TABLE nagiosna_Checks ADD FOREIGN KEY (pid) REFERENCES nagiosna_path_nodes(id)";
        $this->db->query($sql);

        $sql = "ALTER TABLE nagiosna_Checks MODIFY COLUMN metric enum('bytes','flows','packets','bps','pps','bpp','abnormal_behavior','lost_connection','rtt') DEFAULT NULL";
        $this->db->query($sql);
    }

    function down()
    {
        // There is no down
    }
}