<link rel="icon" href="<?php echo base_url('media/favicon.ico'); ?>" type="image/ico">
<?php foreach ($stylesheets as $css) { echo '<link type="text/css" href="' . base_url('media') . $css .'" rel="stylesheet" />'; } ?>
<?php foreach ($javascripts as $js) { echo '<script type="text/javascript" src="' . base_url('media') . $js . '"></script>'; } ?>
<?php
$logo = "nagios-n-black.svg";
$message_type = "error";
?>

<script type="text/javascript">
    function checkForInputs() {
        let allowSubmit = true;

        // Verify we have username input
        if (!$("#usernameBox").val()) {
            allowSubmit = false;
            $("#usernameBox").addClass("error");
            $("#username-error-text").removeClass("no-show");
        } else {
            $("#usernameBox").removeClass("error");
            $("#username-error-text").addClass("no-show");
        }

        // Verify we have password input
        if (!$("#passwordBox").val()) {
            allowSubmit = false;
            $("#passwordBox").addClass("error");
            $("#password-error-text").removeClass("no-show");
        } else {
            $("#passwordBox").removeClass("error");
            $("#password-error-text").addClass("no-show");
        }

        return allowSubmit;
    }

    $(document).ready(function() {
        // Select the form by its class and add an id attribute
        $("form.form-horizontal.login").attr("id", "loginForm");

        // Add an onsubmit attribute to the form
        $("#loginForm").attr("onSubmit", "return checkForInputs();");
    });
</script>
<div class="modern-login-wrapper">
    <div class="modern-login-container">
        <div class="hero-logo-container">
            <img src="<?php echo base_url(); ?>media/images/<?php echo $logo; ?>" class="hero-logo"></img>
        </div>
    <div class="login-card">
        <div class="title-row">
            <h1 id="login-title"><?php echo lang('login_title'); ?></h1>
        </div>

        <?php echo form_open('login', array('class' => 'form-horizontal login')); ?>

            <div class="login-input-wrapper">
                <!-- Display a feedback message if we have one -->
                <?php if ($message && $message !== '<div>'.lang('logout_successful').'</div>') {
                    display_login_feedback($message, $message_type);
                } ?>

                <input type="text" class="form-control" placeholder="<?php echo lang('username'); ?>" value="<?php echo htmlentities($username, ENT_COMPAT, 'UTF-8'); ?>" name="username" id="usernameBox">
                <div id="username-error-text" class="login-input-error-text no-show">
                    <span><?php echo lang("login_username_required"); ?></span>
                </div>
                <input type="password" class="form-control" placeholder="<?php echo lang('password'); ?>" name="password" id="passwordBox">
                <div id="password-error-text" class="login-input-error-text no-show">
                    <span><?php echo lang("login_password_required"); ?></span>
                </div>
                <button type="submit" class="submitbutton login bs3-btn bs3-btn-primary bs3-btn-lg" id="loginButton" name="loginButton"><?php echo lang('login_button_label'); ?></button>

                <div id="forgot-password-wrapper">
                    <a href="<?php echo site_url('forgot_password'); ?>" id="forgot-password-link"><?php echo lang('login_forgot_password'); ?></a>
                </div>

            </div>
        <?php echo form_close(); ?>
    </div>

    <h3 id="contact-text"><?php echo lang("login_contact_us"); ?></h3>
    <div id="contact-card">
        <div class="contact-detail-container">
            <i class="fa fa-phone fa-lg contact-icon" title="Phone" aria-hidden="true"></i>
            <a href="tel:+16512049102">651-204-9102</a>
        </div>
        <div class="contact-detail-container">
            <i class="fa fa-envelope fa-lg contact-icon" title="Email" aria-hidden="true"></i>
            <a href="mailto:sales@nagios.com">sales@nagios.com</a>
        </div>
        <div class="contact-detail-container">
            <i class="fa fa-life-ring fa-lg contact-icon" aria-hidden="true"></i>
            <a href="https://support.nagios.com/" target="_blank" rel="noreferrer"><?php echo lang("help_sidebar_support_site"); ?></a>
        </div>
    </div>
</div>

<?php
function get_feedback_icon($message_type) {
    $icon_pool = array(
        "info" => "<i class='fa fa-info-circle fa-2x' aria-hidden='true'></i>",
        "success" => "<i class='fa fa-check-circle fa-2x' aria-hidden='true'></i>",
        "error" => "<i class='fa fa-exclamation-circle fa-2x' aria-hidden='true'></i>",
    );

    return $icon_pool[$message_type];
}

/**
 * Displays feedback in a modern style, fixed box at the top center of the page
 *
 * @param string   $message - feedback text to-be-displayed
 * @param string   $message_type - one of ["info", "success", "critical"]
 *
 * @return string
 */
function display_login_feedback($message, $message_type = "info") { 
    if (is_array($message)) { $message = $message[0]; } ?>

    <div class="fixed-login-message <?php echo $message_type; ?>" role="alert">
        <?php echo get_feedback_icon($message_type); ?>
        <span class="fixed-feedback-text"><?php echo $message; ?></span>
    </div>

<?php } ?>
<?php echo $footer ?>

